import React from "react";
import PropTypes from "prop-types";
import {
  Button,
  Dialog,
  DialogActions,
  DialogContent,
  DialogTitle
} from "@material-ui/core";
import { useTranslation } from "react-i18next";
import ForwardOptionsContainer from "./ForwardOptionsContainer";

const ForwardOptionsDialog = ({ open, handleClose, forward }) => {
  const { t } = useTranslation();

  return (
    <div>
      <Dialog
        open={open}
        onClose={handleClose}
        aria-labelledby="options-dialog-title"
        aria-describedby="optopns-dialog-content"
      >
        <DialogTitle id="options-dialog-title">
          {t("Session.Forwards.Options.Title")}
        </DialogTitle>
        <DialogContent id="optopns-dialog-content">
          {forward ? <ForwardOptionsContainer forward={forward} /> : "N/A"}
        </DialogContent>
        <DialogActions>
          <Button onClick={handleClose} color="primary">
            {t("General.Close")}
          </Button>
        </DialogActions>
      </Dialog>
    </div>
  );
};

ForwardOptionsDialog.propTypes = {
  open: PropTypes.bool.isRequired,
  handleClose: PropTypes.func.isRequired,
  forward: PropTypes.object
};

export default ForwardOptionsDialog;
